Blender crashing or giving an error when using YafRay

So I installed 2.41 even there’s nothing new I need at the moment. Stupid me, I know. Now the YafRay doesn’t work at all, I can’t even find it where the Blender is installed. Now when I set afRay to renderer and let all the settings as default I get an error:

“Could not execute yafray. Is it in path?”

No, I guess but where I can download YafRay since their site isn’t online anymore.

Now if I set XML off and try to render. This comes up and Blender crashes:

“Error loading yafray plug-in.”

Help needed :-?

Yafray isnt installed with blender, you need to download it seperately.

http://www.yafray.org/

The site works now.

Ian